javax.media.j3d

## Class WakeupOnElapsedTime

- java.lang.Object
- - javax.media.j3d.WakeupCondition
  - - javax.media.j3d.WakeupCriterion
    - - javax.media.j3d.WakeupOnElapsedTime

    public final class WakeupOnElapsedTime
    extends WakeupCriterion

Class specifying a wakeup when a specific number of milliseconds have elapsed.

### Constructor Summary

Constructors
Constructor and Description
`WakeupOnElapsedTime(long milliseconds)` Constructs a new WakeupOnElapsedTime criterion.

### Method Summary

Methods
`long` `getElapsedFrameTime()` Retrieve the WakeupCriterion's elapsed time value that was used when constructing this object.

### Methods inherited from class javax.media.j3d.WakeupCriterion

`hasTriggered`

### Methods inherited from class javax.media.j3d.WakeupCondition

`allElements, triggeredElements`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WakeupOnElapsedTime

    public WakeupOnElapsedTime(long milliseconds)

Constructs a new WakeupOnElapsedTime criterion.

Parameters:
  `milliseconds` - the number of milliseconds to the wakeup. A value of zero or less will cause an IllegalArgumentException to be thrown.

### Method Detail

#### getElapsedFrameTime

    public long getElapsedFrameTime()

Retrieve the WakeupCriterion's elapsed time value that was used when constructing this object.

Returns:
  the elapsed time specified when constructing this object